package lightcontainer.utils;

import javax.crypto.Cipher;
import java.io.BufferedOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class FileReceiver {
    private String path;

    public FileReceiver(String path) { this.path = path; }

    public boolean receiveFile(InputStream input, String fileName, int fileSize, String key, String iv) {
        BufferedOutputStream bosFile = null;

        try {
            bosFile = new BufferedOutputStream(new FileOutputStream(String.format("%s/%s", path, fileName)));

            AES_GCM.encryptStream(input, bosFile, fileSize, key, iv);

            bosFile.flush();
            bosFile.close();
            return true;
        } catch(IOException | AES_GCM.AesGcmException ex) {
            ex.printStackTrace();
            if(bosFile != null) { try { bosFile.close(); } catch(Exception e) {} }
            return false;
        }
    }

}
